
        function get(id) { return document.getElementById(id); }

        // -----------------------------------------------------
        // show the element at the array index "which"
        // -----------------------------------------------------
        function showElement(which) {

            // 
            // This will "flip" the card.
            // Even number means do not show the element name.
            // Odd number means show the element name.
            // 
            var n = which / 2;
            if (which % 2 != 0) {
              n = (which-1) / 2;
              get('element').textContent = elementInfo[n].element;
            }
            else {
              get('element').innerHTML = "&nbsp;"; // nothing showing
            }

            //
            // always show the image
            //
            get('symbol').src = "images/" + elementInfo[n].image;
            get('symbol').alt = elementInfo[n].element;
        }
        
        // -----------------------------------------------------
        // Go to the next element, right arrow
        // -----------------------------------------------------
        function goNext(e) {
            var i = document.location.hash.substr(1);
            i++;
            i %= 2*elementInfo.length;
            document.location.hash = "#" + i;
        }
        
        // -----------------------------------------------------
        // Go to the previous element, left arrow
        // -----------------------------------------------------
        function goBack(e) {
            var i = document.location.hash.substr(1);
            i--;
            i += 2*elementInfo.length;
            i %= 2*elementInfo.length;
            document.location.hash = "#" + i;
        }
        
        // -----------------------------------------------------
        // Load the appropriate element according to the hash
        // -----------------------------------------------------
        function hashChanged(e) {
            if (document.location.hash) {
                showElement(document.location.hash.substr(1))
            }
            else {
                showElement(0);
            }
        }
        
        // -----------------------------------------------------
        // Code execution starts here
        // -----------------------------------------------------
        window.onhashchange = hashChanged;
        get('back').onclick = goBack;
        get('next').onclick = goNext;
        hashChanged();

